[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: [SPAM:#] Re: failed with ldapsearch with GSSAPI - Please helpppppppppp

--On Thursday, June 03, 2004 11:37 AM +0800 The Shell <samwun@hgcbroadband.com> wrote:

Just recompiled latest version of SASL and Openldap according to
intrustion from standford's  website, but the result of testing
ldapsearch with GASSL support has no much different, here is the result:

root@fbsd [11:09am] [...local/openldap-2.2.11]# ldapsearch -x -LLL -h
kerberos -b "" -s base supportedSASLMechanisms
supportedSASLMechanisms: OTP
supportedSASLMechanisms: DIGEST-MD5
supportedSASLMechanisms: CRAM-MD5

Note again that you haven't addressed the Kerberos libraries issue, in which you specifically need a libgssapi before you compile Cyrus SASL. You haven't mentioned anything about what version of Kerberos you are using (I suggest Heimdal), and I suggest you read the Stanford website completely.

You should also test all of this at the cyrus-sasl level, and if it isn't supporting GSSAPI at that level, then you need to move your discussion to the cyrus-sasl list, because this really isn't an OpenLDAP issue.


Quanah Gibson-Mount
Principal Software Developer
ITSS/TSS/Shared Services
Stanford University
GnuPG Public Key: http://www.stanford.edu/~quanah/pgp.html